#include "guess.h"
int find_number(int MAX) {
    for(int l = 1,r = MAX,m;;) {
        if(l == r) return l;
        m = (l+r+1)/2;
        if(smaller(m)) r = m-1;
        else l = r;
    }
    return 67;
}

